Package org.gradle.api

## Interface Action<T>

- Type Parameters:
    `T` - The type of object which this action accepts.
  All Known Subinterfaces:
    `AttributeCompatibilityRule<T>`, `AttributeDisambiguationRule<T>`, `ComponentMetadataRule`, `ComponentMetadataSupplier`, `ComponentMetadataVersionLister`
  All Known Implementing Classes:
    `ClosureBackedAction`, `ConfigureUtil.WrappedConfigureAction`

      @HasImplicitReceiver
      public interface Action<T>

  Performs some action against objects of type T.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(T t)` | Performs this action against the given object.

- - ### Method Detail

    - #### execute

          void execute​(T t)

      Performs this action against the given object.
      Parameters:
        `t` - The object to perform the action on.